org.apache.cassandra.concurrent

## Class ScheduledExecutors

- java.lang.Object
- - org.apache.cassandra.concurrent.ScheduledExecutors

    public class ScheduledExecutors
    extends java.lang.Object

Centralized location for shared executors

### Field Summary

Fields
`static DebuggableScheduledThreadPoolExecutor` `nonPeriodicTasks` This executor is used for tasks that can have longer execution times, and usually are non periodic.
`static DebuggableScheduledThreadPoolExecutor` `optionalTasks` This executor is used for tasks that do not need to be waited for on shutdown/drain.
`static DebuggableScheduledThreadPoolExecutor` `scheduledTasks` This pool is used for periodic short (sub-second) tasks.

### Constructor Summary

Constructors
Constructor and Description
`ScheduledExecutors()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scheduledTasks

    public static final DebuggableScheduledThreadPoolExecutor scheduledTasks

This pool is used for periodic short (sub-second) tasks.

#### nonPeriodicTasks

    public static final DebuggableScheduledThreadPoolExecutor nonPeriodicTasks

This executor is used for tasks that can have longer execution times, and usually are non periodic.

#### optionalTasks

    public static final DebuggableScheduledThreadPoolExecutor optionalTasks

This executor is used for tasks that do not need to be waited for on shutdown/drain.

### Constructor Detail

#### ScheduledExecutors

    public ScheduledExecutors()